Show / Hide Table of Contents

# AsyncApplicationPauseTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncApplicationPauseTrigger : AsyncTriggerBase<bool>, IUniTaskAsyncEnumerable<bool>

##### Inheritance

System.Object → AsyncTriggerBase<System.Boolean> → AsyncApplicationPauseTrigger

##### Implements

IUniTaskAsyncEnumerable<System.Boolean>

### Members

#### Methods

Name | Description
--- | ---
GetOnApplicationPauseAsyncHandler() |
GetOnApplicationPauseAsyncHandler(CancellationToken) |
OnApplicationPauseAsync() |
OnApplicationPauseAsync(CancellationToken) |

### Methods

#### GetOnApplicationPauseAsyncHandler()

    public IAsyncOnApplicationPauseHandler GetOnApplicationPauseAsyncHandler()

##### Returns

IAsyncOnApplicationPauseHandler

#### GetOnApplicationPauseAsyncHandler(CancellationToken)

    public IAsyncOnApplicationPauseHandler GetOnApplicationPauseAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnApplicationPauseHandler

#### OnApplicationPauseAsync()

    public UniTask<bool> OnApplicationPauseAsync()

##### Returns

UniTask<System.Boolean>

#### OnApplicationPauseAsync(CancellationToken)

    public UniTask<bool> OnApplicationPauseAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<System.Boolean>

### Implements

IUniTaskAsyncEnumerable<T>